English
How Do You Deal With Mistakes? Python-devel Specifies Multiple Packages

How Do You Deal With Mistakes? Python-devel Specifies Multiple Packages

You may encounter an error code indicating that the python-devel error points to multiple packages. Well, there are various steps you can take to fix this problem and we will get to that shortly.

This package contains the necessary header files and libraries to handle such tasks. Install python-devel if you want to learn Python extensions. The Python package must also be installed. You may also want to install this special python-docs package, which contains Python documentation.

Where are Python headers located?

Header files are usually installed on top of Python. On Unix, they can be found in the directories $prefix/include/python version per and $exec_prefix/include/python version/ , where $prefix and $exec_prefix usually configure the appropriate options for Python scripts, and version is sys .

sudo yum use python-devel

What is Pythondev?

python-dev is exactly the package that contains the informational header files for the python-c API, which is actually used by lxml as it contains python-c extensions to improve performance.

Resolve dependencies--> Check current transactions---> Python-devel package.x86_64 0:2.7.5-76.el7 will be installed--> Processing dependency: python(x86-64) 2=.7.5-76.el7 to deploy: python-devel-2.7.5-76.el7.x86_64--> Dependency package completed: resolutionError: python-devel-2.7.5-76.el7.x86_64 (basic)           Requires: Python (x86-64) = 2.7.5-76.el7           Installed: python-2.7.5-80.el7_6.x86_64 (@updates)               python(x86-64) = 2.7.5-80.el7_6           Available: python-2.7.5-68.el7.x86_64 (base)               python(x86-64) = 2.7.5-68.el7           Python-2 available: .7.5-69.el7_5.x86_64 (updates)               Python (x86-64) = 2.7.5-69. el7_5          Available: python-2.7.5-76.el7.x86_64 (base)               python(x86-64) = 2.7.5-76.el7 You should try using --skip-broken to solve some problems You can try running: rpm -Va --nofiles --nodigest

I understand that this requires a specific Python version: python-2.7.5-76.el7.x86_64, so I tried:

How do I fix Python fatal error H No such file or directory?

Python h no such file or maybe directory is a fatal error. If you are trying to create a shared library of any type with a C extension file, you will need to install the development version of Python. If someone is using Python 3, you need to install python3-dev.

sudo yummy install python-2.7.5-76.el7.x86_64
A package suitable for python-2.7.5-76.el7.x86_64 has already been defined. Check for updates.Not associated with
Packages installedName: PythonArk and x86_64version prior to 2.7.5Release; 80.el7_6Size: 79kRepository: InstalledFrom the repository as updatesDescription: An interpreted, interactive, object-oriented programming language.URL: http://www.python.org/License: PythonDescription: Python can be interpreted, interactive, object-oriented programming.            : "language" is often compared to Tcl, Perl, Scheme, or Java. Python included            : modules, instructions, exceptions, very dynamic history types and            : dynamic input. The Python device interacts with many system calls and            : Libraries, as well as many different window systems (X11, Motif, Tk,            : Mac and MFC).            :            : Programmers can distribute new built-ins for Python in C or C++.            A: Python can be developed as an extension language to support applications that need it.            : prrr-rrrrgable interface.            :            one . Note that Python documentation is provided in python-docs.            - - turn.            :            . . . This package provides this special "Python" executable; most of all actually           : Start in package "python-libs".

error python-devel specifies multiple packages

Problem description:python3-devel does not install successfully relative to rhel8 but does not report that the installation failed.~]#[[email protected] yum hang up python3-develUpdate the subscription management repositories.The identity of the drinker cannot be readThis system is not registered to support your Red Hat Management subscription. You can use the subscription manager to register.Metadata output last checked: Sunday, October 16, 2020 at 9:55:37 EST until 2:01:38.dependencies are allowed.Not associated with.Fully![[email protected] ~]# echo $? <<< Possible return prompt ~]# Error0[[email protected] rpm -qa|grep python3-devel[[email protected] ~]# echo $?oneThis should prevent me from building nfs-utils.[[email protected] SOURCES]# rpmbuild -bb ./nfs-utils.spec 2>&1|grep Error|awk -v 'print $1'python3-developmentMost commonly selected component version number (if applicable):RHEL-8.3.0-20201009.2 Base OS x86_64How reproducible:alwaysCurrent results: Installation failedExpected results: place successfully in python3-devel or show errors

오류가 있는 경우 어떻게 처리합니까? Python-devel은 여러 패키지를 지정합니다.
Comment Supportez-vous Les Erreurs ? Python-devel Spécifie Des Packages Doubles
Jak Sobie Poradzisz Z Błędami? Python-devel Określa Wiele Pakietów
Hur Hanterar Du Misstag? Python-devel Specificerar Flera Paket
Как бы вы поступили с ошибками? Python-devel становится несколькими пакетами
Como Você Lida Com Os Erros? Python-devel Especifica Vários Pacotes
Hoe Koop Je Met Fouten? Python-devel Specificeert Gevarieerde Pakketten
¿Cómo Lidias Con Los Errores? Python-devel Se Convierte En Múltiples Paquetes
Come Combatti Con Gli Errori? Python-devel Specifica Più Pacchetti
Wie Gehen Sie Mit Fehlern Um? Python-devel Spezifiziert Mehrere Pakete